// 将一个数的二进制表示中所有的 1 都变成 0，所有的 0 都变成 1
#include <iostream>
#include <bitset>
#include <climits>

using namespace std;

int main()
{
    int n;
    cout << "请输入一个整数: ";
    cin >> n;

    cout << "原本的二进制表示为: " << bitset<32>(n) << endl;
    cout << "UINT_MAX 的二进制表示为: " << bitset<32>(UINT_MAX) << endl;

    cout << "取反后的二进制表示为: " << bitset<32>(n ^ UINT_MAX) << endl;
    return 0;
}